From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1505232-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 235F715A2F1
	for <garchives@archives.gentoo.org>; Fri,  7 Apr 2023 18:11:15 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 122C3E0866;
	Fri,  7 Apr 2023 18:11:14 +0000 (UTC)
Received: from smtp.gentoo.org (mail.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id F0AC5E085B
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 18:11:13 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits) server-digest SHA256)
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 0A6BB34104C
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 18:11:13 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 4DA29A1F
	for <gentoo-commits@lists.gentoo.org>; Fri,  7 Apr 2023 18:11:11 +0000 (UTC)
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Sam James" <sam@gentoo.org>
Message-ID: <1680890983.3b3834242c9a70af7dbd616f0cb6c43401429ffc.sam@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/actiontext/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-ruby/actiontext/actiontext-7.0.4.3-r1.ebuild
X-VCS-Directories: dev-ruby/actiontext/
X-VCS-Committer: sam
X-VCS-Committer-Name: Sam James
X-VCS-Revision: 3b3834242c9a70af7dbd616f0cb6c43401429ffc
X-VCS-Branch: master
Date: Fri,  7 Apr 2023 18:11:11 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: 00137921-825c-4507-ae06-0604001fca0a
X-Archives-Hash: 2cd36bfc3e02dc9c5e528a82afd4eb90

commit:     3b3834242c9a70af7dbd616f0cb6c43401429ffc
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  7 17:17:40 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Apr  7 18:09:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b383424

dev-ruby/actiontext: enable ruby32 for 7.0.x

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-ruby/actiontext/actiontext-7.0.4.3-r1.ebuild | 56 ++++++++++++++++++++++++
 1 file changed, 56 insertions(+)

diff --git a/dev-ruby/actiontext/actiontext-7.0.4.3-r1.ebuild b/dev-ruby/actiontext/actiontext-7.0.4.3-r1.ebuild
new file mode 100644
index 000000000000..7f49e51e1f62
--- /dev/null
+++ b/dev-ruby/actiontext/actiontext-7.0.4.3-r1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="actiontext.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRAINSTALL="app db package.json"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Edit and display rich text in Rails applications"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+	~dev-ruby/actionpack-${PV}
+	~dev-ruby/activerecord-${PV}
+	~dev-ruby/activestorage-${PV}
+	~dev-ruby/activesupport-${PV}
+	>=dev-ruby/globalid-0.6.0
+	>=dev-ruby/nokogiri-1.8.5
+"
+
+ruby_add_bdepend "test? (
+	dev-ruby/bundler
+	dev-ruby/mocha
+	dev-ruby/propshaft
+)"
+
+all_ruby_prepare() {
+	# Remove items from the common Gemfile that we don't need for this
+	# test run. This also requires handling some gemspecs.
+	sed -e "/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql2\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|sass-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|sprockets\|stackprof\|websocket-client-simple\|libxml-ruby\|redis\|blade\|aws-sdk\|google-cloud\|azure-storage\|selenium\|webpacker\|webrick\|webmock\|webdrivers\|minitest-bisect\|minitest-retry\|minitest-reporters\|listen\|rack-cache\|rack-test\|bootsnap\|capybara\|dalli\|connection_pool\|terser\)/ s:^:#:" \
+		-e '/stimulus-rails/,/tailwindcss-rails/ s:^:#:' \
+		-e '/:job/,/end/ s:^:#:' \
+		-e '/group :\(cable\|doc\|rubocop\|storage\|test\)/,/^end/ s:^:#:' \
+		-i ../Gemfile || die
+	rm ../Gemfile.lock || die
+}
+
+each_ruby_prepare() {
+	sed -i -e 's:ruby:'${RUBY}':' test/dummy/bin/* || die
+}